Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1227052 - [PATCH] avahi-daemon won't pick up rtnetlink messages in a netns & userns
[PATCH] avahi-daemon won't pick up rtnetlink messages in a netns & userns
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: avahi (Show other bugs)
21
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On: 1203731
Blocks:
  Show dependency treegraph
 
Reported: 2015-06-01 16:25 EDT by Lubomir Rintel
Modified: 2015-06-26 02:41 EDT (History)
5 users (show)

See Also:
Fixed In Version: avahi-0.6.31-31.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1203731
Environment:
Last Closed: 2015-06-26 02:39:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Suggested fix (1.21 KB, text/plain)
2015-06-01 16:25 EDT, Lubomir Rintel
no flags Details

  None (edit)
Description Lubomir Rintel 2015-06-01 16:25:58 EDT
Created attachment 1033484 [details]
Suggested fix

+++ This bug was initially created as a clone of Bug #1203731 +++
...
> To prevent this unfortunate behavior you can of course use user_ns. However
> once you go this road note that you are entering another realm of pain with
> current user_ns implementation. 

Not really; works fairly well.

One small problem is in the rtnetlink code, where the daemon checks for uid of the originating message, where it should be checking the messages come from kernel (an unprivileged user can now manage his network namespace).

Attaching fix.
Comment 1 Fedora Update System 2015-06-18 05:14:19 EDT
avahi-0.6.31-31.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/avahi-0.6.31-31.fc21
Comment 2 Fedora Update System 2015-06-18 05:17:25 EDT
avahi-0.6.31-31.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/avahi-0.6.31-31.fc22
Comment 3 Fedora Update System 2015-06-20 20:22:19 EDT
Package avahi-0.6.31-31.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing avahi-0.6.31-31.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10326/avahi-0.6.31-31.fc22
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2015-06-26 02:39:41 EDT
avahi-0.6.31-31.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2015-06-26 02:41:45 EDT
avahi-0.6.31-31.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.